IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/20
Addresses2^108
/64 networks2^44
- Network
ff0d:5000::/20- First address
ff0d:5000::- Last address
ff0d:5fff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 324,518,553,658,426,726,783,156,020,576,256 (2^108)
- /64 networks (LANs)
- 17,592,186,044,416 (2^44)
- Full form
ff0d:5000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
5.d.0.f.f.ip6.arpa
Split into smaller subnets
ff0d:5000::/20 makes 256 subnets of /28.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff0d:5000::/28 | ff0d:500f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ff0d:5010::/28 | ff0d:501f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ff0d:5020::/28 | ff0d:502f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ff0d:5030::/28 | ff0d:503f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ff0d:5040::/28 | ff0d:504f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ff0d:5050::/28 | ff0d:505f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ff0d:5060::/28 | ff0d:506f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ff0d:5070::/28 | ff0d:507f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ff0d:5080::/28 | ff0d:508f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ff0d:5090::/28 | ff0d:509f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ff0d:50a0::/28 | ff0d:50af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ff0d:50b0::/28 | ff0d:50bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ff0d:50c0::/28 | ff0d:50cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ff0d:50d0::/28 | ff0d:50df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ff0d:50e0::/28 | ff0d:50ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ff0d:50f0::/28 | ff0d:50ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ff0d:5100::/28 | ff0d:510f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ff0d:5110::/28 | ff0d:511f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ff0d:5120::/28 | ff0d:512f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ff0d:5130::/28 | ff0d:513f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ff0d:5140::/28 | ff0d:514f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ff0d:5150::/28 | ff0d:515f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ff0d:5160::/28 | ff0d:516f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ff0d:5170::/28 | ff0d:517f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ff0d:5180::/28 | ff0d:518f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ff0d:5190::/28 | ff0d:519f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ff0d:51a0::/28 | ff0d:51af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ff0d:51b0::/28 | ff0d:51bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ff0d:51c0::/28 | ff0d:51cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ff0d:51d0::/28 | ff0d:51df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ff0d:51e0::/28 | ff0d:51ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ff0d:51f0::/28 | ff0d:51ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ff0d:5200::/28 | ff0d:520f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ff0d:5210::/28 | ff0d:521f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ff0d:5220::/28 | ff0d:522f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ff0d:5230::/28 | ff0d:523f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ff0d:5240::/28 | ff0d:524f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ff0d:5250::/28 | ff0d:525f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ff0d:5260::/28 | ff0d:526f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ff0d:5270::/28 | ff0d:527f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ff0d:5280::/28 | ff0d:528f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ff0d:5290::/28 | ff0d:529f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ff0d:52a0::/28 | ff0d:52af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ff0d:52b0::/28 | ff0d:52bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ff0d:52c0::/28 | ff0d:52cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ff0d:52d0::/28 | ff0d:52df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ff0d:52e0::/28 | ff0d:52ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ff0d:52f0::/28 | ff0d:52ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ff0d:5300::/28 | ff0d:530f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ff0d:5310::/28 | ff0d:531f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ff0d:5320::/28 | ff0d:532f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ff0d:5330::/28 | ff0d:533f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ff0d:5340::/28 | ff0d:534f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ff0d:5350::/28 | ff0d:535f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ff0d:5360::/28 | ff0d:536f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ff0d:5370::/28 | ff0d:537f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ff0d:5380::/28 | ff0d:538f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ff0d:5390::/28 | ff0d:539f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ff0d:53a0::/28 | ff0d:53af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ff0d:53b0::/28 | ff0d:53bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ff0d:53c0::/28 | ff0d:53cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ff0d:53d0::/28 | ff0d:53df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ff0d:53e0::/28 | ff0d:53ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ff0d:53f0::/28 | ff0d:53ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ff0d:5400::/28 | ff0d:540f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ff0d:5410::/28 | ff0d:541f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ff0d:5420::/28 | ff0d:542f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ff0d:5430::/28 | ff0d:543f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ff0d:5440::/28 | ff0d:544f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ff0d:5450::/28 | ff0d:545f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ff0d:5460::/28 | ff0d:546f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ff0d:5470::/28 | ff0d:547f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ff0d:5480::/28 | ff0d:548f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ff0d:5490::/28 | ff0d:549f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ff0d:54a0::/28 | ff0d:54af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ff0d:54b0::/28 | ff0d:54bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ff0d:54c0::/28 | ff0d:54cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ff0d:54d0::/28 | ff0d:54df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ff0d:54e0::/28 | ff0d:54ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ff0d:54f0::/28 | ff0d:54ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ff0d:5500::/28 | ff0d:550f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ff0d:5510::/28 | ff0d:551f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ff0d:5520::/28 | ff0d:552f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ff0d:5530::/28 | ff0d:553f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ff0d:5540::/28 | ff0d:554f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ff0d:5550::/28 | ff0d:555f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ff0d:5560::/28 | ff0d:556f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ff0d:5570::/28 | ff0d:557f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ff0d:5580::/28 | ff0d:558f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ff0d:5590::/28 | ff0d:559f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ff0d:55a0::/28 | ff0d:55af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ff0d:55b0::/28 | ff0d:55bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ff0d:55c0::/28 | ff0d:55cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ff0d:55d0::/28 | ff0d:55df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ff0d:55e0::/28 | ff0d:55ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ff0d:55f0::/28 | ff0d:55ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ff0d:5600::/28 | ff0d:560f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ff0d:5610::/28 | ff0d:561f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ff0d:5620::/28 | ff0d:562f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ff0d:5630::/28 | ff0d:563f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ff0d:5640::/28 | ff0d:564f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ff0d:5650::/28 | ff0d:565f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ff0d:5660::/28 | ff0d:566f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ff0d:5670::/28 | ff0d:567f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ff0d:5680::/28 | ff0d:568f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ff0d:5690::/28 | ff0d:569f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ff0d:56a0::/28 | ff0d:56af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ff0d:56b0::/28 | ff0d:56bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ff0d:56c0::/28 | ff0d:56cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ff0d:56d0::/28 | ff0d:56df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ff0d:56e0::/28 | ff0d:56ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ff0d:56f0::/28 | ff0d:56ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ff0d:5700::/28 | ff0d:570f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ff0d:5710::/28 | ff0d:571f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ff0d:5720::/28 | ff0d:572f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ff0d:5730::/28 | ff0d:573f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ff0d:5740::/28 | ff0d:574f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ff0d:5750::/28 | ff0d:575f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ff0d:5760::/28 | ff0d:576f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ff0d:5770::/28 | ff0d:577f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ff0d:5780::/28 | ff0d:578f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ff0d:5790::/28 | ff0d:579f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ff0d:57a0::/28 | ff0d:57af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ff0d:57b0::/28 | ff0d:57bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ff0d:57c0::/28 | ff0d:57cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ff0d:57d0::/28 | ff0d:57df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ff0d:57e0::/28 | ff0d:57ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ff0d:57f0::/28 | ff0d:57ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ff0d:5800::/28 | ff0d:580f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ff0d:5810::/28 | ff0d:581f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ff0d:5820::/28 | ff0d:582f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ff0d:5830::/28 | ff0d:583f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ff0d:5840::/28 | ff0d:584f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ff0d:5850::/28 | ff0d:585f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ff0d:5860::/28 | ff0d:586f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ff0d:5870::/28 | ff0d:587f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ff0d:5880::/28 | ff0d:588f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ff0d:5890::/28 | ff0d:589f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ff0d:58a0::/28 | ff0d:58af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ff0d:58b0::/28 | ff0d:58bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ff0d:58c0::/28 | ff0d:58cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ff0d:58d0::/28 | ff0d:58df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ff0d:58e0::/28 | ff0d:58ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ff0d:58f0::/28 | ff0d:58ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ff0d:5900::/28 | ff0d:590f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ff0d:5910::/28 | ff0d:591f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ff0d:5920::/28 | ff0d:592f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ff0d:5930::/28 | ff0d:593f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ff0d:5940::/28 | ff0d:594f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ff0d:5950::/28 | ff0d:595f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ff0d:5960::/28 | ff0d:596f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ff0d:5970::/28 | ff0d:597f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ff0d:5980::/28 | ff0d:598f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ff0d:5990::/28 | ff0d:599f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ff0d:59a0::/28 | ff0d:59af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ff0d:59b0::/28 | ff0d:59bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ff0d:59c0::/28 | ff0d:59cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ff0d:59d0::/28 | ff0d:59df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ff0d:59e0::/28 | ff0d:59ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ff0d:59f0::/28 | ff0d:59ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ff0d:5a00::/28 | ff0d:5a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ff0d:5a10::/28 | ff0d:5a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ff0d:5a20::/28 | ff0d:5a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ff0d:5a30::/28 | ff0d:5a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ff0d:5a40::/28 | ff0d:5a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ff0d:5a50::/28 | ff0d:5a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ff0d:5a60::/28 | ff0d:5a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ff0d:5a70::/28 | ff0d:5a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ff0d:5a80::/28 | ff0d:5a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ff0d:5a90::/28 | ff0d:5a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ff0d:5aa0::/28 | ff0d:5aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ff0d:5ab0::/28 | ff0d:5abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ff0d:5ac0::/28 | ff0d:5acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ff0d:5ad0::/28 | ff0d:5adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ff0d:5ae0::/28 | ff0d:5aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ff0d:5af0::/28 | ff0d:5aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ff0d:5b00::/28 | ff0d:5b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ff0d:5b10::/28 | ff0d:5b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ff0d:5b20::/28 | ff0d:5b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ff0d:5b30::/28 | ff0d:5b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ff0d:5b40::/28 | ff0d:5b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ff0d:5b50::/28 | ff0d:5b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ff0d:5b60::/28 | ff0d:5b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ff0d:5b70::/28 | ff0d:5b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ff0d:5b80::/28 | ff0d:5b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ff0d:5b90::/28 | ff0d:5b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ff0d:5ba0::/28 | ff0d:5baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ff0d:5bb0::/28 | ff0d:5bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ff0d:5bc0::/28 | ff0d:5bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ff0d:5bd0::/28 | ff0d:5bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ff0d:5be0::/28 | ff0d:5bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ff0d:5bf0::/28 | ff0d:5bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ff0d:5c00::/28 | ff0d:5c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ff0d:5c10::/28 | ff0d:5c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ff0d:5c20::/28 | ff0d:5c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ff0d:5c30::/28 | ff0d:5c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ff0d:5c40::/28 | ff0d:5c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ff0d:5c50::/28 | ff0d:5c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ff0d:5c60::/28 | ff0d:5c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ff0d:5c70::/28 | ff0d:5c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ff0d:5c80::/28 | ff0d:5c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ff0d:5c90::/28 | ff0d:5c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ff0d:5ca0::/28 | ff0d:5caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ff0d:5cb0::/28 | ff0d:5cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ff0d:5cc0::/28 | ff0d:5ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ff0d:5cd0::/28 | ff0d:5cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ff0d:5ce0::/28 | ff0d:5cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ff0d:5cf0::/28 | ff0d:5cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ff0d:5d00::/28 | ff0d:5d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ff0d:5d10::/28 | ff0d:5d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ff0d:5d20::/28 | ff0d:5d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ff0d:5d30::/28 | ff0d:5d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ff0d:5d40::/28 | ff0d:5d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ff0d:5d50::/28 | ff0d:5d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ff0d:5d60::/28 | ff0d:5d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ff0d:5d70::/28 | ff0d:5d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ff0d:5d80::/28 | ff0d:5d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ff0d:5d90::/28 | ff0d:5d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ff0d:5da0::/28 | ff0d:5daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ff0d:5db0::/28 | ff0d:5dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ff0d:5dc0::/28 | ff0d:5dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ff0d:5dd0::/28 | ff0d:5ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ff0d:5de0::/28 | ff0d:5def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ff0d:5df0::/28 | ff0d:5dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ff0d:5e00::/28 | ff0d:5e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ff0d:5e10::/28 | ff0d:5e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ff0d:5e20::/28 | ff0d:5e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ff0d:5e30::/28 | ff0d:5e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ff0d:5e40::/28 | ff0d:5e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ff0d:5e50::/28 | ff0d:5e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ff0d:5e60::/28 | ff0d:5e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ff0d:5e70::/28 | ff0d:5e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ff0d:5e80::/28 | ff0d:5e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ff0d:5e90::/28 | ff0d:5e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ff0d:5ea0::/28 | ff0d:5eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ff0d:5eb0::/28 | ff0d:5ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ff0d:5ec0::/28 | ff0d:5ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ff0d:5ed0::/28 | ff0d:5edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ff0d:5ee0::/28 | ff0d:5eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ff0d:5ef0::/28 | ff0d:5eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ff0d:5f00::/28 | ff0d:5f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ff0d:5f10::/28 | ff0d:5f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ff0d:5f20::/28 | ff0d:5f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ff0d:5f30::/28 | ff0d:5f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ff0d:5f40::/28 | ff0d:5f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ff0d:5f50::/28 | ff0d:5f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ff0d:5f60::/28 | ff0d:5f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ff0d:5f70::/28 | ff0d:5f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ff0d:5f80::/28 | ff0d:5f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ff0d:5f90::/28 | ff0d:5f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ff0d:5fa0::/28 | ff0d:5faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ff0d:5fb0::/28 | ff0d:5fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ff0d:5fc0::/28 | ff0d:5fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ff0d:5fd0::/28 | ff0d:5fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ff0d:5fe0::/28 | ff0d:5fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ff0d:5ff0::/28 | ff0d:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |